@import url('https://fonts.googleapis.com/css?family=Dosis');

/* Reset Styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Dosis', sans-serif;
}
a {
  text-decoration: none;
}
ul {
  list-style: none;
}
h2,
h3,
h4 {
  text-transform: uppercase;
}

img {
  width: 100%;
}
.logo {
  width: 100px;
}

.main-items {
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.lists {
  display: flex;
  justify-content: space-between;
}

.lists li {
  padding: 0 0.75rem;
}

.lists li a {
  color: #fff;
}

/* Header */

#main-header {
  background: url('../img/showcase.jpg') no-repeat center center/cover;
  height: 100vh;
  background-blend-mode: overlay;
}

.para-items {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  align-items: center;
  height: 60vh;
}

.para-items h1 {
  font-size: 5rem;
  color: #fff;
}
.para-items p {
  color: #fff;
  font-size: 1.5rem;
  padding-bottom: 1rem;
}

.para-items a {
  display: inline-block;
  color: #fff;
  background: #718093;
  padding: 0.75rem 1.2rem;
  font-weight: bold;
}

.para-items a:hover {
  background: #7f8fa6;
}

.bottom-line {
  height: 2px;
  width: 3rem;
  background: #ffbc00;
  display: block;
  margin: auto;
}

/* Specialization */
.specials {
  padding: 4rem 0;
}
.special-items {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  text-align: center;
  grid-gap: 1rem;
}

.special-items i {
  color: #ffbc00;
}

.special-items p {
  font-size: 1.2rem;
}

/* Special Another */
.special-another {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  text-align: center;
  padding: 2rem 0;
}

.special-another p {
  font-size: 1.5rem;
}

.special-another div {
  padding: 3rem;
}

/* Process-items */
#creative .process-items {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 1rem;
  text-align: center;
  padding: 2rem 0;
}

#creative .process-items i {
  background: #2f3542;
  color: #fff;
  border-radius: 50%;
  padding: 3rem;
  transition: transform 0.7s ease;
}

#creative .process-items i:hover {
  -webkit-transform: scale(1.2);
  -ms-transform: scale(1.2);
  transform: scale(1.2);
  background: #ffbc00;
}

/* Footer */
footer {
  background: #222f3e;
  padding: 3rem 0;
  color: #fff;
}

.footer-items {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.socials a {
  padding: 0 0.8rem;
  color: #fff;
}

.socials a:hover {
  color: #ffbc00;
}

/* About Section */
#about-header {
  background: url('../img/showcase.jpg') no-repeat center center/cover;
  background-blend-mode: overlay;
}

.about-sec {
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-gap: 1.5rem;
  padding: 0 0.75rem;
}

/* Awards */
.awards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 1.2rem;
  text-align: center;
  padding: 3rem 0;
}

.awards i {
  color: #ffbc00;
  padding-bottom: 0.8rem;
}

/* Technical skills */
.progress {
  height: 20px;
  background: #ccc;
  border: none;
  border-radius: 5px;
  margin: 0.5rem 0;
}

.progress div {
  height: 100%;
  background: #ffbc00;
  border: none;
  border-radius: 5px;
  margin: 0.75rem 0;
}

/* All Logos */
#all-logos {
  display: flex;
  justify-content: space-around;
  background: #dfe6e9;
  padding: 5rem 0;
}

#all-logos img {
  width: 200px;
}

/* Comments */
.comments {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 1.5rem;
  padding: 2rem 1rem;
}
.comments p {
  border: 1px solid #7f8fa6;
  border-radius: 5px;
  padding: 1rem 1.5rem;
}

.com-img img {
  width: 50px;
  border-radius: 50%;
}
.com-img {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 1rem;
  padding: 0 1.5rem;
}
.com-img p {
  margin-top: -40px;
  padding-left: 60px;
}

/* Project Images */
.project-img {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  padding: 5rem 3rem;
}

.project-img img {
  transition: transform 0.5s ease;
}

.project-img img:hover {
  -webkit-transform: scale(1.2) rotate(10deg);
  -ms-transform: scale(1.2) rotate(10deg);
  transform: scale(1.2) rotate(10deg);
}

/* Contact Form */
.form-body input,
textarea {
  width: 100%;
  margin: 1rem;
  padding: 0.5rem 0;
}
.btn-submit {
  background: #2d3436;
  border: none;
  border-radius: 10px;
  color: #fff;
  font-weight: bold;
  font-size: 0.8rem;
  padding: 1rem 0;
}
.btn-submit:hover {
  background: #636e72;
}

/* Three */
.three {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 1rem;
  background: #2d3436;
  padding: 3.5rem 1rem;
  text-align: center;
  color: #fff;
}
